# TaskLocalState

interface TaskLocalState

Represents the files or directories that represent the local state of a org.gradle.api.Task. The typical usage for local state is to store non-relocatable incremental analysis between builds. Local state is removed whenever the task is loaded from cache.

#### Since

4.3

## Functions

register
Link copied to clipboard
abstract fun register(@Nullable paths: Array<@Nullable Any>)
Registers files and directories as local state of this task.